import { type Container, type ICoordinates, type IDelta, type IDimension, type IMovePathGenerator, type Particle, Vector } from "@tsparticles/engine";
declare enum SVGPathDirection {
    normal = 0,
    reverse = 1
}
type SVGPathParticle = Particle & {
    svgDirection?: SVGPathDirection;
    svgInitialPosition?: ICoordinates;
    svgOffset?: IDimension;
    svgPathIndex?: number;
    svgSpeed?: number;
    svgStep?: number;
};
export declare class SVGPathGenerator implements IMovePathGenerator {
    private readonly _offset;
    private _paths;
    private _reverse;
    private _scale;
    private readonly _size;
    private _width;
    constructor();
    generate(particle: SVGPathParticle, delta: IDelta): Vector;
    init(container: Container): void;
    reset(): void;
    update(): void;
}
export {};
