(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./SVGPathGenerator.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.svgPathName = void 0;
    exports.loadSVGPath = loadSVGPath;
    const engine_1 = require("@tsparticles/engine");
    const SVGPathGenerator_js_1 = require("./SVGPathGenerator.js");
    exports.svgPathName = "svgPathGenerator";
    async function loadSVGPath(engine, refresh = true) {
        (0, engine_1.assertValidVersion)(engine, "3.7.1");
        await engine.addPathGenerator(exports.svgPathName, new SVGPathGenerator_js_1.SVGPathGenerator(), refresh);
    }
});
